OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Macros | Variables
water_land.h File Reference

Sprites to use and how to display them for water tiles (depots/locks). More...

Go to the source code of this file.

## Macros
#define | TILE_SEQ_LINE(dx, dy, dz, sx, sy, sz, img) { dx, dy, dz, sx, sy, sz, {img, PAL_NONE} },
| Constructor macro for an image without a palette in a DrawTileSeqStruct array.
#define | TILE_SEQ_END() { (int8)0x80, 0, 0, 0, 0, 0, {0, 0} }
| Constructor macro for a terminating DrawTileSeqStruct entry in an array.
#define | TILE_SPRITE_LINE(img, dtss) { {img, PAL_NONE}, dtss },
| Constructor macro of a DrawTileSprites structure.

## Variables
static const DrawTileSeqStruct | _shipdepot_display_seq_1 []
static const DrawTileSeqStruct | _shipdepot_display_seq_2 []
static const DrawTileSeqStruct | _shipdepot_display_seq_3 []
static const DrawTileSeqStruct | _shipdepot_display_seq_4 []
static const DrawTileSprites | _shipdepot_display_data [][DEPOT_PART_END]
static const DrawTileSeqStruct | _lock_display_seq_0 []
static const DrawTileSeqStruct | _lock_display_seq_1 []
static const DrawTileSeqStruct | _lock_display_seq_2 []
static const DrawTileSeqStruct | _lock_display_seq_3 []
static const DrawTileSeqStruct | _lock_display_seq_0b []
static const DrawTileSeqStruct | _lock_display_seq_1b []
static const DrawTileSeqStruct | _lock_display_seq_2b []
static const DrawTileSeqStruct | _lock_display_seq_3b []
static const DrawTileSeqStruct | _lock_display_seq_0t []
static const DrawTileSeqStruct | _lock_display_seq_1t []
static const DrawTileSeqStruct | _lock_display_seq_2t []
static const DrawTileSeqStruct | _lock_display_seq_3t []
static const DrawTileSprites | _lock_display_data [][DIAGDIR_END]

## Detailed Description

Sprites to use and how to display them for water tiles (depots/locks).

Definition in file water_land.h.

## Macro Definition Documentation

#define TILE_SEQ_LINE | ( |  | dx,
|  |  | dy,
|  |  | dz,
|  |  | sx,
|  |  | sy,
|  |  | sz,
|  |  | img
| ) |  | { dx, dy, dz, sx, sy, sz, {img, PAL_NONE} },

Constructor macro for an image without a palette in a DrawTileSeqStruct array.

Parameters

  dx | Offset in x direction
  dy | Offset in y direction
  dz | Offset in z direction
  sx | Size in x direction
  sy | Size in y direction
  sz | Size in z direction
  img | Sprite to draw

Definition at line 22 of file water_land.h.

#define TILE_SPRITE_LINE | ( |  | img,
|  |  | dtss
| ) |  | { {img, PAL_NONE}, dtss },

Constructor macro of a DrawTileSprites structure.

Parameters

  img | Ground sprite without palette of the tile
  dtss | Sequence child sprites of the tile

Definition at line 32 of file water_land.h.

## Variable Documentation

const DrawTileSprites _lock_display_data[][DIAGDIR_END]
| static

Initial value:
{
{
TILE_SPRITE_LINE(1, _lock_display_seq_0)
TILE_SPRITE_LINE(0, _lock_display_seq_1)
TILE_SPRITE_LINE(2, _lock_display_seq_2)
TILE_SPRITE_LINE(3, _lock_display_seq_3)
},
{
TILE_SPRITE_LINE(0xFDD, _lock_display_seq_0b)
TILE_SPRITE_LINE(0xFDD, _lock_display_seq_1b)
TILE_SPRITE_LINE(0xFDD, _lock_display_seq_2b)
TILE_SPRITE_LINE(0xFDD, _lock_display_seq_3b)
},
{
TILE_SPRITE_LINE(0xFDD, _lock_display_seq_0t)
TILE_SPRITE_LINE(0xFDD, _lock_display_seq_1t)
TILE_SPRITE_LINE(0xFDD, _lock_display_seq_2t)
TILE_SPRITE_LINE(0xFDD, _lock_display_seq_3t)
},
}

Definition at line 139 of file water_land.h.

const DrawTileSeqStruct _lock_display_seq_0[]
| static

Initial value:
{
}

Definition at line 67 of file water_land.h.

const DrawTileSeqStruct _lock_display_seq_0b[]
| static

Initial value:
{
}

Definition at line 91 of file water_land.h.

const DrawTileSeqStruct _lock_display_seq_0t[]
| static

Initial value:
{
}

Definition at line 115 of file water_land.h.

const DrawTileSeqStruct _lock_display_seq_1[]
| static

Initial value:
{
}

Definition at line 73 of file water_land.h.

const DrawTileSeqStruct _lock_display_seq_1b[]
| static

Initial value:
{
}

Definition at line 97 of file water_land.h.

const DrawTileSeqStruct _lock_display_seq_1t[]
| static

Initial value:
{
}

Definition at line 121 of file water_land.h.

const DrawTileSeqStruct _lock_display_seq_2[]
| static

Initial value:
{
}

Definition at line 79 of file water_land.h.

const DrawTileSeqStruct _lock_display_seq_2b[]
| static

Initial value:
{
}

Definition at line 103 of file water_land.h.

const DrawTileSeqStruct _lock_display_seq_2t[]
| static

Initial value:
{
}

Definition at line 127 of file water_land.h.

const DrawTileSeqStruct _lock_display_seq_3[]
| static

Initial value:
{
}

Definition at line 85 of file water_land.h.

const DrawTileSeqStruct _lock_display_seq_3b[]
| static

Initial value:
{
}

Definition at line 109 of file water_land.h.

const DrawTileSeqStruct _lock_display_seq_3t[]
| static

Initial value:
{
}

Definition at line 133 of file water_land.h.

const DrawTileSprites _shipdepot_display_data[][DEPOT_PART_END]
| static

Initial value:
{
{
TILE_SPRITE_LINE(0xFDD, _shipdepot_display_seq_1)
TILE_SPRITE_LINE(0xFDD, _shipdepot_display_seq_2)
},
{
TILE_SPRITE_LINE(0xFDD, _shipdepot_display_seq_3)
TILE_SPRITE_LINE(0xFDD, _shipdepot_display_seq_4)
},
}

Definition at line 56 of file water_land.h.

const DrawTileSeqStruct _shipdepot_display_seq_1[]
| static

Initial value:
{
}

Definition at line 34 of file water_land.h.

const DrawTileSeqStruct _shipdepot_display_seq_2[]
| static

Initial value:
{
}

Definition at line 39 of file water_land.h.

const DrawTileSeqStruct _shipdepot_display_seq_3[]
| static

Initial value:
{
}

Definition at line 45 of file water_land.h.

const DrawTileSeqStruct _shipdepot_display_seq_4[]
| static

Initial value:
{
}

Definition at line 50 of file water_land.h.